#ifndef ATG_TCP_SERVER_H
#define ATG_TCP_SERVER_H

#include <boost/bind.hpp>
#include <boost/smart_ptr.hpp>
#include <boost/asio.hpp>
#include <boost/thread.hpp>

class LatShift
{
 public : 
  static double latShift_0;
  static double latShift_future;
};

/*------------------------------------------------------------------------
 *  ATG TCP server session
 */
void session();

/*------------------------------------------------------------------------
 *  ATG TCP connection server
 */
void server(boost::asio::io_service& io_service, short port);

/*------------------------------------------------------------------------
 *  Init the TCP Communication with robufast
 *  \param port : the port used on localhost
 */
void initATG_TCPserver(int port);

/*------------------------------------------------------------------------
 *  Stop the TCP Communication with robufast
 *  \param port : the port used on localhost
 */
void stopATG_TCPserver();

#endif // ATG_TCP_SERVER_H
